package org.shunt.common;

public class XmoseException extends RuntimeException {
    private static final long serialVersionUID = -5956039786797529304L;
    private int status = 0;
    private String msg2Client = "OK";
    private String msg2Dev = "OK";

    public XmoseException() {
    }
    public XmoseException(Integer code, String msg) {
        this.status = code;
        this.msg2Client = msg;
        this.msg2Dev = msg;
    }

    public int getStatus() {
        return this.status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMsg2Client() {
        return this.msg2Client;
    }

    public void setMsg2Client(String msg2Client) {
        this.msg2Client = msg2Client;
    }

    public String getMsg2Dev() {
        return this.msg2Dev;
    }

    public void setMsg2Dev(String msg2Dev) {
        this.msg2Dev = msg2Dev;
    }
}
